> ## Documentation Index
> Fetch the complete documentation index at: https://hoopdev-docs-improve-idp-sso-pages.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign License

> Sign a new license for a customer. This route is for internal use only



## OpenAPI

````yaml https://use.hoop.dev/api/openapiv3.json post /orgs/license/sign
openapi: 3.0.3
info:
  contact:
    email: help@hoop.dev
    name: Help
    url: https://help.hoop.dev
  description: >-
    Hoop.dev is an access gateway for databases and servers with an API for
    packet manipulation
  license:
    name: MIT
    url: https://opensource.org/license/mit
  termsOfService: https://hoop.dev/docs/legal/tos
  title: Hoop Api
  version: 1.49.10
servers:
  - url: https://use.hoop.dev/api
security: []
tags:
  - description: >
      Hoop implements Oauth2 and OIDC protocol to authenticate users in the
      system. To obtain a valid access token users need to authenticate in their
      own identity provider which is generated as a JSON response to the
      endpoint `http(s)://use.hoop.dev/api/login`. The identity provider them
      redirects the user to the callback endpoint containing the access token.


      The recommended approach of obtaining an access token is by visiting the
      Webapp main's page or using the **Hoop command line**. Example:


      ```sh

      hoop config create --api-url https://use.hoop.dev

      # save the token after authenticating at $HOME/.hoop/config.toml

      hoop login

      # show token information

      hoop config view --raw

      ```


      With an access token you could use any HTTP client to interact with the
      documented endpoints.

      The token must be sent through the `Authorization` header.


      Example:


      ```sh

      # obtain the current configuration of the server

      curl https://use.hoop.dev/api/serverinfo -H "Authorization: Bearer
      $ACCESS_TOKEN"

      ```
    name: Authentication
  - description: >
      Users are active and assigned to the default organization when they
      signup. A user could be set to an inactive state preventing it from
      accessing the platform, however it’s recommended to manage the state of
      users in the identity provider.


      - The `sub` claim is used as the main identifier of the user in the
      platform.

      - The profile of the user is derived from the id_token claims `email` and
      `name`.


      When a user authenticates for the first time, it performs an automatic
      signup that persist the profile claims along with it’s unique identifier.

      ​

      ### Groups


      Groups allows defining who may access or interact with certain resources.


      - For connection resources it’s possible to define which groups has access
      to a specific connection, this is enforced when the Access Control feature
      is enabled.

      - For review resources, it’s possible to define which groups are allowed
      to approve an execution, this is enforced when the Review feature is
      enabled.


      > This resource could be managed manually via Webapp or propagated by the
      identity provider via ID Token. In this mode, groups are sync when a user
      performs a login.


      ### Roles


      - The `admin` group is a special role that grants full access to all
      resources


      This role should be granted to users that are responsible for managing the
      Gateway. All other users are regular, meaning that they can access their
      own resources and interact with connections.
    name: User Management
  - description: Routes used to manage and obtain information about the runtime server.
    name: Server Management
  - description: Features available in the gateway. See also **Plugin** resources.
    name: Features
  - description: >-
      Proxy manager endpoints controls how clients connect via gRPC in the
      gateway. These endpoints are meant to be used when a client is initialized
      via `hoop proxy-manager`.
    name: Proxy Manager
  - name: Connections
  - name: Agents
  - name: Runbooks
  - name: Guard Rails
  - name: Reviews
  - name: Sessions
  - name: Organization Management
  - name: Reports
paths:
  /orgs/license/sign:
    post:
      tags:
        - Server Management
      summary: Sign License
      description: Sign a new license for a customer. This route is for internal use only
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.License'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Internal Server Error
components:
  schemas:
    openapi.License:
      properties:
        key_id:
          description: A sha256 identifier of the public key
          example: 743420a8aee6f063d50e6203b588c06381020c84fea3543ff10f8470873779bc
          type: string
        payload:
          allOf:
            - $ref: '#/components/schemas/openapi.LicensePayload'
          description: The payload information of the license
        signature:
          description: The payload signature
          example: pA4POB1vB1yBfE+HcPD4FSPT8yY=
          type: string
      type: object
    openapi.HTTPError:
      properties:
        message:
          example: the error description
          type: string
      type: object
    openapi.LicensePayload:
      properties:
        allowed_hosts:
          description: >-
            The domains that are allowed to use this license.

            * `johhwick.org` - Issue a license that is valid only for the domain
            `johnwick.org`

            * `*.johhwick.org` - Issue a license that is valid for all
            subdomains, example: `<anydomain>.johnwick.org`

            * `*.johhwick.org`, `*.johnwick2.org` - Issue a license that is
            valid for multiple wildcard subdomains

            * `*` - Issue a license that is valid for all domains (not
            recommeded)
          example:
            - johnwick.org
            - homolog.jhonwick.org
            - '*.system.johnwick.org'
          items:
            type: string
          type: array
        description:
          description: The description containing information about the license
          example: John Wick's Bad Organization
          type: string
        expire_at:
          description: The time in timestamp the license expires
          example: 1722997969
          format: timestamp
          type: integer
        issued_at:
          description: The time in timestamp the license was issued
          example: 1721997969
          format: timestamp
          type: integer
        type:
          description: |-
            Type of the license
            * oss - Open Source License
            * enterprise - Enterprise License
          enum:
            - oss
            - enterprise
          example: enterprise
          type: string
      type: object

````